Update
curl --request PATCH \
--url https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
"{\n \"name\": \"Ledger Wallet\", // Optional\n \"settlementFrequency\": \"INSTANT\", // Optional\n \"isActive\": true, // Optional\n \"isSettlement\": true, // Optional\n \"isWhitelisted\": false // Optional\n}"
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries/{id}"
payload = "{
\"name\": \"Ledger Wallet\", // Optional
\"settlementFrequency\": \"INSTANT\", // Optional
\"isActive\": true, // Optional
\"isSettlement\": true, // Optional
\"isWhitelisted\": false // Optional
}"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify('{\n "name": "Ledger Wallet", // Optional\n "settlementFrequency": "INSTANT", // Optional\n "isActive": true, // Optional\n "isSettlement": true, // Optional\n "isWhitelisted": false // Optional\n}')
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
"createdAt": "2025-08-27T22:27:17.071Z",
"deletedAt": null,
"id": "cc7a86eb-28f8-49e0-aa77-eb01bb38ad2b",
"isActive": true,
"isDefault": false,
"isSettlement": true,
"isWhitelisted": true,
"name": "Ledger Wallet",
"settlementFrequency": "WEEKLY",
"updatedAt": "2025-08-27T22:27:17.071Z"
},
"message": "Beneficiary updated successfully",
"statusCode": 200
}Update
This endpoint allows you to update the details of a specific beneficiary associated with a wallet.
Body Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| name | false | string | The name of the beneficiary. |
| isSettlement | false | boolean | Indicates if the beneficiary is set for settlement. |
| settlementFrequency | false* | enum | The settlement frequency (INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY). Required only if isSettlement = true. |
| isWhitelisted | false | boolean | Indicates whether the beneficiary address should be whitelisted. Whitelisted addresses restrict withdrawals to only whitelisted addresses for enhanced security. |
| isActive | false | boolean | Determines whether the beneficiary is active. |
PATCH
/
v1
/
wallets
/
{walletId}
/
beneficiaries
/
{id}
Update
⌘I

